#
# spec file for package gtkmm2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name gtkmm
Name:           gtkmm2
Version:        2.24.5
Release:        150400.12.9
Summary:        C++ Interface for GTK2 (a GUI Library for X)
License:        LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
URL:            http://www.gtkmm.org/
Source:         http://download.gnome.org/sources/gtkmm/2.24/%{_name}-%{version}.tar.xz
Source99:       baselibs.conf
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(atkmm-1.6) >= 2.22.2
BuildRequires:  pkgconfig(cairomm-1.0)
BuildRequires:  pkgconfig(giomm-2.4) >= 2.27.93
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.24.0
BuildRequires:  pkgconfig(pangomm-1.4) >= 2.27.1
BuildRequires:  pkgconfig(sigc++-2.0)

%description
Gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps
GTK+ 2. Highlights include typesafe callbacks, widgets extensible via
inheritance, and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.

%package -n libgtkmm-2_4-1
Summary:        C++ Interface for GTK2 (a GUI library for X)
Group:          System/Libraries
Provides:       gtkmm2 = %{version}
Obsoletes:      gtkmm2 < %{version}
Provides:       gtkmm24 = %{version}
Obsoletes:      gtkmm24 < %{version}

%description -n libgtkmm-2_4-1
Gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps
GTK+ 2. Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.

%package devel
Summary:        C++ Interface for GTK2 (a GUI library for X)
Group:          Development/Libraries/GNOME
Requires:       libgtkmm-2_4-1 = %{version}
Provides:       gtkmm24-devel = %{version}
Obsoletes:      gtkmm24-devel < %{version}
Provides:       %{name}-doc = %{version}
Obsoletes:      %{name}-doc < %{version}

%description devel
Gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps
GTK+ 2. Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.

%prep
%setup -q -n %{_name}-%{version}

%build
%configure \
        --disable-static
make %{?_smp_mflags} gtkmm_docdir=%{_docdir}/%{name}/docs

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}

%post -n libgtkmm-2_4-1 -p /sbin/ldconfig
%postun -n libgtkmm-2_4-1 -p /sbin/ldconfig

%files -n libgtkmm-2_4-1
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/gdkmm-2.4/
%{_libdir}/gtkmm-2.4/
%doc %{_datadir}/devhelp/books/%{_name}-2.4/
%doc %{_datadir}/doc/%{_name}-2.4/

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Mon Dec  5 2016 jengelh@inai.de
- Rectify RPM groups and replace old macros.
* Sun Sep  4 2016 zaitor@opensuse.org
- Update to version 2.24.5:
  + Update the MSVC projects.
  + Use C++11 if the compiler supports it.
  + Update to be compatible with new versions of glibmm.
  + Documentation: Improve the documentation of Gtk::ComboBoxText
    (bgo#766039).
- Drop gtkmm2-new-glibmm-fixes.patch: Fixed upstream.
* Tue Apr 19 2016 zaitor@opensuse.org
- Stop exporting CFLAGS and CXXFLAGS, no longer needed due to
  changes in libsigc++.
* Thu Aug 20 2015 zaitor@opensuse.org
- Export CFLAGS="%%{optflags} -std=c++11" and CXXFLAGS="%%{optflags}
  - std=c++11". Fix build with updated MM stack.
- Replace atkmm-devel, cairomm-devel, glibmm2-devel,
  libsigc++2-devel and pangomm-devel for pkgconfig(atkmm-1.6),
  pkgconfig(cairomm-1.0), pkgconfig(giomm-2.4),
  pkgconfig(pangomm-1.4) and pkgconfig(sigc++-2.0) BuildRequires.
* Thu Jul 23 2015 zaitor@opensuse.org
- Add gtkmm2-new-glibmm-fixes.patch: Add commits from upstream to
  support/fix build with new glibmm.
* Fri May 15 2015 dimstar@opensuse.org
- Add baselibs.conf to source list.
* Sat Jun 29 2013 dimstar@opensuse.org
- Update to version 2.24.4:
  + Respinned tarball with matching gmmproc version (bgo#697835).
- Drop gtkmm2-includes.patch: this was needed to work around
  tarball issues.
- Remove --enable-maintainer-mode and --enable-documentation
  configure parameters: as we can use the tarball again, we don't
  have to do the entire bootstrapping on our own.
- Drop perl(XML::Parser), graphviz, doxygen and xsltproc
  BuildRequires, which were only used to bootstrap.
- Stop packaging INSTALL file as it is not needed.
* Fri Apr 19 2013 dimstar@opensuse.org
- Add gtkmm2-includes.patch: Fix header inclusions.
- Add --enable-maintainer-mode and --enable-documentation to
  configure: due to above patch, we need to rebuild sources.
- Add perl(XML::Parser), graphviz, doxygen and xsltproc
  BuildRequires: enable-maintainer-mode makes use of this module.
* Sat Apr  6 2013 dimstar@opensuse.org
- Update to version 2.24.3:
  + Require the mm-common version that actually allows avoiding the
    dependency in the tarball as well as glibmm.
  + Fix gtkmm-demo VS projects.
  + Fix namespacing for Cairo (bgo#663303).
- Run spec-cleaner to make a more thorough cleanup.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Fri Jul  8 2011 vuntz@opensuse.org
- Update to version 2.24.2:
  + Do not require mm-common when building from a tarball
    (bgo#654231).
- Changes from version 2.24.1:
  + Gtk:
  - ComboBoxText:
    . Correct the constructors (bgo#650673).
    . prepend_text(): call prepend() instead of append()
    (bgo#650673).
  + Gdk:
  - Rectangle: Add reference documentation.
- Remove --disable-documentation from configure as we can have
  documentation again.
* Thu Apr 28 2011 vuntz@opensuse.org
- Pass --disable-static to configure.
- Pass --disable-documentation to configure: this tarball was
  generated with an old documentation setup that won't build
  nowadays.
- Drop doc subpackage (as we don't build the doc right now), and
  add Provides/Obsoletes for it to the devel subpackage: this will
  ensure the old doc package doesn't stay around while it
  shouldn't, and since we'll move the doc there when it builds
  again, this makes sense.
- Change gtkmm2 Obsoletes from <= to < now that we have a new
  upstream version.
* Tue Apr 26 2011 vuntz@opensuse.org
- Update to version 2.24.0:
  + Gtk:
  - ComboBox and ComboBoxText now have a has-entry property, so
    ComboBoxEntry and ComboBoxEntryText are deprecated.
  - Range: Added get/set_round_digits()
  + Gdk:
  - DragContext: Added drag_begin().
  - Window: Added get_visual(), get_screen() and get_display().
- Changes from version 2.23.91:
  + Gtk:
  - Button: undeprecated the clicked() method.
  - ComboBox: Deprecate clear_items() in favour of remove_all().
  - ComboEntryText: Add append(), prepend() and insert(),
    deprecating append_text(), prepend_text() and insert_text().
  - Image:
    . Added const-correct constructor and a const-correct
    set(IconSet, size) method, deprecating the existing ones.
    . Added get_pixel(), deprecating get_mem().
  - Range: Added get/set_round_digits() and property.
- Changes from version 2.23.90:
  + Gdk:
  - Drawable: Deprecate get_visual(), get_screen() and
    get_display().
  - Window: Added get_visual(), get_screen() and get_display().
  - Display: Deprecate set_pointer_hooks() and
    unset_pointer_hooks().
  - DragContext: Deprecate create(), adding Window::drag_begin().
  - Drawable: Deprecate the draw_*() methods.
  - Screen: Fix a typo, so the monitors_changed() signal really
    uses the C signal.
  + Gtk:
  - AboutDialog: Deprecate set_email/url_hook(), adding
    signal_activated().
  - ComboBox:
    . Added constructors with a bool has_entry property, and add
    methods.
    . Added get_has_entry(), set_entry_text_column() and
    get_entry_text_column().
  - ComobBoxText: Added append(), prepend() and insert(),
    deprecating *_text().
  - ComboBoxEntryText: Deprecate in favour of ComboBoxText with
    has_entry=true.
  - LinkButton: Deprecate set_uri_hook() and unset_uri_hook() in
    favour of Button::signal_clicked().
  - ListViewText: Added append(), prepend() and insert(),
    deprecating *_text().
  - Main: Deprecate signal_quit() and signal_run().
  - Widget: Deprecated hide_all().
  - Ruler, HRuler and VRuler: Deprecated
  - Notebook:
    . Deprecated get/set_group(), adding get/set_group_name().
    . Deprecated set_window_creation_hook().
  - PageSetupUnixDialog, Plug, PrintUnixDialog: Prevent us from
    calling wrap_new() on these windows. (bgo#623137)
  - Style: Fix the virtual functions. (bgo#633975, bgo#633689)
  - Range: Deprecate get/set_update_policy().
  - TreeViewColumn: Added get_first_cell(), deprecated
    get_first_cell_renderer().
  - Widget::set_window(): Increase the ref count of the
    Gdk::Window. (This is not a complete fix yet. See bgo#606903)
  - Window: Deprecate get/set_has_frame() and
    get/set_frame_dimensions().
  + Build:
  - Depend on necessary versions of atkmm and pangomm instead of
    repeating m4 files.
  - Windows installer fixes.
* Mon Oct 11 2010 vuntz@opensuse.org
- Update baselibs.conf to use libgtkmm-2_4-1 instead of gtkmm2.
- Add a Provides for gtkmm2 to libgtkmm-2_4-1 in baselibs.conf,
  like in the .spec file.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.22.0:
  + Windows-only changes.
* Sun Sep 26 2010 vuntz@opensuse.org
- Update to version 2.21.9:
  + Gdk:
  - Visual: Added  get_visual_type(), get_depth(),
    get_byte_order(), get_colormap_size(), get_bits_per_rgb(),
    get_red_pixel_details(), get_green_pixel_details(),
    get_blue_pixel_details().
  - Added many properties.
  + Gtk:
  - MenuBar: Added set/get_pack_direction() and
    set/get_child_pack_direction
  - SeparatorToolItem: Added get/set_draw().
  - Added many properties.
* Wed Sep 22 2010 coolo@novell.com
- fix baselibs.conf
* Mon Sep 20 2010 vuntz@opensuse.org
- Update to version 2.21.8.1:
  + Gtk:
  - IconView: Added tooltip-column and reorderable and
    item-padding properties.
  - MessageDialog: Added message-area properties.
  - TextBuffer: Added get_copy_target_list() and
    get_paste_target_list().
  - AlignmentEnum: Add ALIGN_START and ALIGN_END to match
    gtkmm 3, to help future porting.
  - Improved API reference documentation.
* Tue Sep 14 2010 vuntz@opensuse.org
- Update to version 2.21.8:
  + Gtk:
  - IconView: Added get/set_item_orientation().
  - MessageDialog: Added get_message_area().
  - MenuItem: Added unset_submenu().
  - PaperSize: Added get_paper_sizes().
  - PrintOperation: Added run_page_setup_dialog() overloads
  - Style: Added copy().
  + Documentation:
  - Several API reference documentation improvements.
* Wed Sep  1 2010 dimstar@opensuse.org
- Update to version 2.21.7:
  + Gtk:
  - Button: Added get_event_window().
  - Expander: Added get/set_label_fill() and property.
  - Notebook:
    . Deprecated pages().
    . Added get_tab_hborder() and get_tab_vborder().
  - PrintUnixDialog: Added get_manual_capabilities().
  - StatusBar: Added remove_all_messages().
  - Table:
    . Deprecated children().
    . Added get_size().
  - TextView: Added get_hadjustment(), get_vadjustment(),
    im_context_filter_keypress(), reset_im_context().
  - Viewport: Added get_view_window().
  - Widget:
    . Added send_focus_change().
    . Added const version of get_accessible().
  + Gdk:
  - Color: Deprecate rgb_find_color().
  - Cursor: Added get_cursor_type().
  - Device: Added get_key(), get_axis_use(), get_n_axes().
  - RgbCMap: Deprecated.
  - Window: Added get_composited(), is_input_only(), is_shaped(),
    has_native(), get_modal_hint(), get_background_pattern(),
    coords_to_parent(), coords_from_parent(),
    get_effective_parent(), get_effective_toplevel(),
    create_similar_surface(), get_accept_focus(),
    get_focus_on_map().
  + Build:
  - MSVC++ and installer fixes.
* Fri Aug  6 2010 vuntz@opensuse.org
- Update to version 2.21.5:
  + Adapt to recent GDK and Gtk+ deprecations.
    You may need to include gtkmm/box, gtkmm/dialog.h,
    gtkmm/main.h, gtkmm/treepath, or gtkmm.h before other gtkmm or
    gtk+ includes to build with disabled deprecations and warnings
    as errors.
  + PrintOperation: get_default_page_setup(): refcount fix.
    bgo#622957
- Changes from version 2.21.1:
  + atkmm is now a separate tarball module.
  + Remove support for these glibmm build options via ifdefs:
  - -enable-api-exceptions
  - -enable-api-properties
  - -enable-api-default-signal-handlers
    (All this gtkmm API is now always present.)
  + Assistant: Added commit().
  + Entry: Added im_context_filter_keypress() and
    reset_im_context().
- Add atkmm-devel BuildRequires and remove update-desktop-files
  BuildRequires.
- Remove explicit Requires from devel package: they will get
  automatically added with pkgconfig()-style Requires.
- Respect the shared library packaging policy and create a
  libgtkmm-2_4-1 package.
- Fix self-obsoletion issues, to make rpmlint happy.
* Thu Jun 10 2010 wittemar@googlemail.com
- build 32bit-package
* Thu May  6 2010 dimstar@opensuse.org
- Update to version 2.20.3:
  + Documentation: Added main page text at index.html.
- Changes from version 2.20.2:
  + Documentation: Strip out the gobject-introspection annotations,
    and use other improvements made to docextract_to_xml.py
* Thu Apr  8 2010 vuntz@opensuse.org
- Update to version 2.20.1:
  + Gtk:
  - RecentAction: Fix the constructor that takes a RecentManager.
    bgo#612900
  - TreeRowReference::get_model(): Correct the reference
    counting. bgo#611814
  + Documentation:
  - Builder: Complete the exceptions thrown documentation.
    bgo#548022
  - Remove gobject-introspection annoations.
  - Correct some newin/since doyxgen tags.
  + Build:
  - Updates for the Windows installer.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.20.0:
  + ToolPalette
  - Derive from ToolShell.
  - Added a const version of get_drop_item().
  - Added properties.
  + ToolItemGroup: Added properties.
  + OffscreenWindow:
  - Added const versions of get_pixbuf() and get_pixmap()
  - Added properties.
  + Range: Make get_slider_range() const.
  + Demos: Don't use deprecated API.
* Thu Mar 18 2010 dimstar@opensuse.org
- Update to version 2.19.7:
  + Gdk:
  - Screen: Added get_primary_monitor().
  - Window: Added flush().
  + Gtk:
  - StatusBar: Added get_message_area().
  - Printer: get_hard_margins().
  - ToolItem: Added get_ellipsize_mode(), get_text_alignment(),
    get_text_orientation() and get_text_size_group().
  - ToolItemGroup: Added get_label_widget().
  - ToolPalette: Make  get_expand() and get_icon_size() const.
  - ToolShell: Added  get_text_orientation(),
    get_text_alignment(), get_ellipsize_mode(),
    get_text_size_group().
  - Viewport: Added get_bin_window().
  + Window:
  - Added get_window_type(), deprecating get_is_toplevel() and
    get_is_popup(). Removed get_is_dialog() because it never had
    any implmentation anyway.
  - Added unset_transient_for().
* Fri Feb 26 2010 dimstar@opensuse.org
- Update to version 2.19.6:
  + Gtk:
  - Action: Do not deprecate connect_proxy(), disconnect_proxy(),
    block_activate_from() and unblock_activate_from(), because we
    cannot yet derive existing classes from Activatable until we
    can break ABI, bgo#608109
  - EntryBuffer: Actually use GtkEntryBuffer.
  - Paned: Added get_handle_window().
  - ToolTip: Added set_icon(Gio::Icon).
  - Widget:
    . Added set/get_realized(), set/get_mapped() and
    style_attach().
    . get_requisition(): Reimplemented with the new
    gtk_widget_get_requisition() function.
    . Un-deprecate get_action() because we cannot yet derive
    existing classes from Activatable until we can break ABI.
  - Use Glib::wrap() instead of ->gobj() in some places, so we
    are generally more forgiving of null RefPtrs<>.
* Wed Jan 27 2010 vuntz@opensuse.org
- Update to version 2.19.4:
  + Gtk:
  - Action: Added get/set_always_show_image() and property.
  - EntryBuffer: Added this class.
  - Entry:
    . Use EntryBuffer in a constructor and get/set_buffer() and
    property.
    . Added get_text_window() and get_icon_window().
  - FontSelection.hg:
    . Added get_family() and get_face(), get_family_list(),
    get_face_list(), get_size_list().
    . Reimplemented get_size_entry() and get_preview_entry()
    using new functions.
  - OffscreenWindow: Added this class.
  - PrintContext: Added get_hard_margins().
  - Range: Added get/set_slider_size_fixed(),
    get/set_min_slider_size(), get_slider_range(),
    get_range_rect().
  - ToolItememGroup: Added insert() with no position parameter
    and made get_item_position() const.
  - ToolPalette: set_drag_source(), add_drag_dest(): Add suitable
    default parameter values.
  - StatusIcon: Added set_name().
  - Widget: Added has_rc_style(), deprecating rc_style().
  - Window:
    . Added get_icon_name() and icon_name property.
    . Added get/set_mnemonics_visible() and property.
    . Added accept-focus, and focus-on-map properties.
* Wed Jan  6 2010 captain.magnus@opensuse.org
- Update to version 2.19.2:
  + Gdk:
  - PixbufAnimationIter: Make the methods public
  - Window: Added get/set_offscreen_embedder() and
    get_offscreen_pixmap()
  + Gtk:
  - Added CellRendererSpin and Spinner (bgo#598715)
  - Added ToolPalette
  - Dialog: Added get_widget_for_response() (bgo#600411)
  - Move the Gtk::Border typedef into its own header and add a
    Glib::Value specialization (bgo#603926)
  - Gdk::Window: get_default_root_window(): Correct the
    reference counting (bgo#603852)
  - Windows build fixes.
  - Fix the build when exceptions, vfuncs, etc. are disabled
* Mon Nov 16 2009 aj@suse.de
- Mark doc subpackage as noarch.
* Sun Oct  4 2009 vuntz@opensuse.org
- Update to version 2.18.2:
  + Reintroduce accidentally removed API methods
    Gtk::Widget::can_default() and Gtk::Widget::can_focus().
    (bgo#597022)
  + Include infobar.h from main gtkmm.h header.
* Wed Sep 30 2009 vuntz@opensuse.org
- Update to version 2.18.1:
  + RecentManager: Undeprecate get_default().
- Changes from version 2.18.0:
  + Clipboard: wait_for_targets): Fix a crash. bgo#586626
  + Window: Added set_icon_name().
  + Build:
  - Require a recent pangomm. bgo#593049
  - Style: Fix a compiler error with the Intel C++ compiler.
    bgo#594171
  - Fix recently-introduced problems with disable-deprecated
    options.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.17.11:
  + Gdk:
  - Window: Added redirect_to_drawable(), remove_redirection(),
    geometry_changed(), get_root_coords(), restack().
  + Gtk:
  - Range: Added get/set_flippable().
  - Widget: Added get_is_toplevel(), get_is_drawable(),
    get/set_receives_default(), wrapping the new C functions,
    deprecating the hand-coded non get-prefixed versions.
* Fri Aug 28 2009 dimstar@opensuse.org
- Update to version 2.17.9.3:
  + Change public documentation location to library.gnome.org for
    the pkg-config files as well.
  + Change public documentation location to library.gnome.org.
* Fri Aug 28 2009 dimstar@opensuse.org
- Update to version 2.17.9.1:
  + Reenable the per-class hierarchy graphs in the reference
    documentation
  + Drop the custom HTML header and footer, and use the shared
    doxygen.css file from mm-common.
* Thu Aug 27 2009 dimstar@opensuse.org
- Update to version 2.17.9:
  + Gtk:
  - Added InfoBar widget
  - bgo3589267 - Builder: get_widget(): Fix a crash when the
    widget is not found
  - CellRenderer: Added get/set_alignment(),  get/set_padding(),
    get/set_visible(), get/set_sensitive()
  - CellRendererToggle: Added set/get_activatable()
  - FileChooser: Added get/set_create_folders() and property
  - Label: Added get/set_track_visited_links() and property
  - Menu: Added get/set_reserve_toggle_size() and property
  - PrintOperation: Added update_custom_widget signal and added
    get/set_embed_page_setup() and get_n_pages_to_print() and
    properties
  - PrintUnixDialgo: Added set/get_support_selection(),
    set/get_support_selection(), set/get_has_selection(),
    set/get_embed_page_setup(), s/get_embed_page_setup(), and
    set_page_setup_set()
  - RecentInfo::get_application_info(): Change the app_exec
    parameter to a ustring& instead of a container. This could
    not have been used before
  - StatusIcon: Added get/set_title() and property
  - Widget: Added some get*() methods, deprecating old methods
    without the get prefix
  - Build: Reworked build system to improve the build and
    installation and interlinking of reference documentation
- Adjust install section to align with new build system.
* Tue Jul 21 2009 vuntz@novell.com
- Update to version 2.17.2:
  + Gtk:
  - Containter: Avoid unnecessary warnings about an unimplemented
    remove vfunc in custom container widget classes.
  + Gdk:
  - Pixbuf: Added create_for_stream() and
    create_for_stream_at_scale() for reading pixbufs from Gio
    file streams.
- Changes from version 2.17.1:
  + Gtk:
  - IconView: get_model(): Correct the reference-counting. bgo#583037
  - Added InfoBar
  - RecentManager::add_item(): Fixed a crash. bgo#585521.
  - TextBuffer: Actually implement the get_text(bool) const
    method. These fix undefined symbol linker errors.
  - TreeModel::Path::empty(): Correct the check for a NULL
    underlying GtkTreePath.
  - StatusIcon:get_geometry(): Correct the reference-counting.
    bgo#575268
  - StockID: Actually implement operator bool().
  - Fix the build with GTK+ 2.17 (A const change in the
    gtk_recent_info_get_application_info() API).
  - Fix the build when exceptions are disabled in glibmm.
  - Win32 installer fixes.
  - Documentation: Stock API documentation improvements.
    bgo#506885.
* Thu Mar 26 2009 vuntz@novell.com
- Remove BuildRequires on devhelp: it's only needed for directory
  ownership, and we can own the directories anyway.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.16.0:
  + Gtk:
  - Builder:
  * get_widget_derived(): Reference-counting correction.
  * create_from_file(), add_from_file(), create_from_string(),
  * add_from_string(): Add method overloads that take a char*
    for the object ID, to avoid ambiguity with the two other
    overloads that take ustring or StringArrayHandle.
  - Entry:
  * *_icon_* methods(): Rearrange parameters to make these
    consistent and so we can have more default parameter
    values.
  * Added icon_press and icon_release signals.
  - FileChooserButton: Added the file_set signal.
  - Stock: Added CAPS_LOCK_WARNING.
  - Style: Added get_style_property_value() and templated
    get_style_property().
  - Added Orientable and Activatable interfaces, though they
    cannot be used yet because that would break ABI of existing
    classes.
  + Gdk:
  - PixbufAnimation: create_from_file(): Throw an exception when
    the GError is not null.
  + Maemo-specific API:
  - TextBuffer: get/set_rich_text_format(),
    set_rich_text_format_all(), get/set_can_paste_rich_text():
    Remove these Maemo-specific methods which have been
    superseded by the generic TextBuffer serialization functions.
  - Enums
  * Added Maemo-specific Gtk::HildonSizeType, wrapping
    HildonSizeType, which was inexplicably added to GTK+ in
    Maemo 5.
  * Likewise added Gtk::Hildon::InputMode, wrapping
    HildonGtkInputMode.
- Remove AutoReqProv: it's default now.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.15.5:
  + Activatable: reset_vfunc() renamed to
    sync_action_properties_vfunc().
  + Builder:
  - create_from_file(), add_from_file(), create_from_string():
    Add method overloads that take char* to avoid ambiguity.
  - get_widget_derived(): Correct reference-counting.
  + FileChooserButton: Add file_set signal.
  + Stock: Added CAPS_LOCK_WARNING.
  + Added interfaces, but we can't use them yet without breaking
    ABI: Activatable, Orientation.
* Tue Feb 10 2009 vuntz@novell.com
- Update to version 2.15.3:
  + Gtk:
  - Action: Reimplemented set_tooltip() with the new C
    gtk_action_set_tooltip() function. Added get/set_label(),
    get/set_short_label(), get_tooltip(), get/set_stock_id(),
    get/set_gicon(), get/set_icon_name(),
    get/set_visible_horizontal(), get/set_visible_vertical(),
    get/set_is_important(), which are new accessors for the
    properties. Added the gicon property. Added block_activate()
    and unblock_activate().
  - ImageMenuItem: Added get/set_always_show_image() and
    property.
  - Scale: Added add_mark() and clear_marks().
  - TreeView: Added a get_path_at_pos() overload that takes less
    parameters.
  + Build:
  * Allow pangomm to build outside the source tree. (bgo#570325)
  * MSVC++: Disabled compiler warning 4250 also for MSVC2005.
    (bgo#568083)
  + Documentation:
  - Reference documetnation: Unescape some < and > characters.
    (bgo#568485)
* Mon Feb  2 2009 hfiguiere@suse.de
- Fix devhelp (bnc#410564)
- Add specific require on gtk2-devel
- Split -doc package
* Mon Feb  2 2009 mboman@suse.de
- Update to version 2.15.1:
  + CellView: Added get_model() and some new properties.
  + Entry: Added unset_invisible_char(), get_invisible_char().
  + ImageMenuItem: Added get/set_use_stock(), set_accel_group().
  + MenuItem: Added get/set_label(), get/set_use_underline() and properties
  + PaperSize: Constructor: Remove the default value for the name parameter,
    because there is already a default constructor,
  + PrintOperation: Added draw_page_finish(),  set_defer_drawing().
  + PrintSettings: Added get_resolution_x(), get_resolution_y(),
    set_resolution_xy(), get/set_printer_lpi().
  + SelectionData:  Reimplement get_selection() using the new C getter method.
  + StatusIcon: Added button_press_event, button_release_event and
    scroll_event  signals. Added get/set_has_tooltip(),
    get/set_tooltip_text(), get/set_tooltip_markup().
  + Stock: ORIENTATION_PORTRAIT, ORIENTATION_LANDSCAPE,
    ORIENTATION_REVERSE_LANDSCAPE, and ORIENTATION_REVERSE_PORTRAIT,
    avoiding undefined reference errors when trying to use these.
  + TextBuffer: Added the paste_done signal.
  + TextView: Added im-module property.
  + TreeModel::Path::empty(): Also check for a null underlying
    GtkTreePath. Added operator bool() to do the same, just calling !empty().
  + Drawable::draw_pixbuf(): Add an override without a GC parameter,
    because it can be NULL in C.
  + Screen: Added get_monitor_width_mm(), get_monitor_height_mm(),
    get_monitor_plug_name().
  - Disabled MSVC++ compiler warning 4250
* Fri Jan 23 2009 vuntz@novell.com
- Drop gtkmm2-null.patch: it's not needed anymore, after discussing
  with upstream.
- Minor spec file clean up.
* Mon Jan  5 2009 mboman@suse.de
- Update to version 2.15.0:
  + CellRendererPixbuf: Added the icon-name and follow-state
    properties
  + Printer::enumerate_printers(): Fix a refcounting problem
  + Gdk::Window: Added an invalidate() that takes no rect
    parameter because it can be NULL in C.
  + Cleaned up gtk includes to use only toplevel headers, as may be
    required by a future GTK+ version.
  + Container: Use GType instead of GtkType for the  child_type_vfunc()
    return type. This should allow soure code to use gtkmm if it declares
    GTK_DISABLE_DEPRECATED
  + Documentation: TreeModel: set_value_impl() documentation: Mention
    row_changed(), not set_row_changed()
  + HandleBox: Restore the child-attached property, which was lost at some
    point during 2.14
  + LinkButton: Resore the visited property definition, which was lost at
    some point during 2.14
  + CellView, ComboBox, EntryCompletion, IconView: Added unset_model()
* Wed Dec 24 2008 mboman@suse.de
- Update to version 2.14.3:
  + Restored Gtk::HandleBox::signal_child_attached() and
    Gtk::LinkButton::property_visited() to the API, which were lost sometime
    during the gtkmm 2.14.x series
  + Remove some ;s to avoid warnings.
  + Use the new naming convention, similar to boost.
    installer-creation script improvements.
  + Documentation fixes
* Fri Oct  3 2008 mboman@suse.de
- Update to version 2.14.1:
  + Windows build fixes
* Thu Sep 25 2008 ro@suse.de
- add pangomm-devel to devel package requires
* Thu Sep 18 2008 maw@suse.de
- Update to version 2.23.8:
  + ComboBox: Added get/set_button_sensitivity()
  + FileChooser: Added set_file(), select_file(), unselect_file(),
    taking a Gio::File. Added get_files(),
    set_current_folder_file(), get_current_folder_file(),
    get_file(), gtk_file_chooser_get_file(), get_file(),
    get_preview_file()
  + LinkButton: Added get/set_visited() and the property
  + StatusIcon: Added set() taking a Gio::Icon. Added get_icon()
    and gicon property. Added constructor taking a Gio::Icon.
  + Adjustment, StatusIcon: Reimplement some get_*() functions
    with new C functions instead of direct struct access
  + PrintSettings: Added get/set_number_up_layout(), using the
    new NumberUpLayout enum.
  + SelectionData: Changed get_data() to not return a length too,
    and added get_length(), as it was in gtkmm 2.12, to match
    latest GTK+
  + Widget: Changed the get_allocation() implementation back to
    direct struct field access, to match latest GTK+.
  + Added a COPYING.tools file because a small gmmproc utility
    is GPL (bgo##550789).
* Thu Sep 18 2008 maw@suse.de
- Require pangomm-devel to build.
* Mon Aug 11 2008 maw@suse.de
- Update to version 2.13.6:
  + pangomm is now in its own tarball
  + AccelGroup: Added get_is_locked() and  get_modifier_mask()
  * CellRendererPixbuf: Added gicon property
  * Clipboard: Added request_uris(), wait_for_uris(),
    wait_is_uris_available()
  * Entry: Added get/set_overwrite_mode()
    Added overwrite_mode and text_length properties
  * Dialog: Reimplemented get_action_area() and
    get_content_area() with the new accessor functions
  * Entry: Reimplemented get_text_length() with the new accessor
    functions
  * HandleBox: Reimplemented is_child_detached() with
  * IconInfo: Added IconInfo(icon_theme, pixbuf) constructor
  * Image: Added a set() overload that takes a Gio::Icon
    Added get_gicon() and gicon property
  * Layout: Reimplemented get_bin_window() with the new accessor
    function
  * Menu: Added get_accel_path() and get_monitor() and many
    new properties
  * MenuItem: Added get_accel_path().
    Added right-justified and submenu properties
  * MessageDialog: Added get_image()
  * Printer: Added get_default_page_size()
  * PageSetup: Added load_from_file() and  load_from_key_file()
    Added create_from_file() and create_from_key_file()
  * Plug: Added get_embedded() and get_socket_window()
    Added embedded and socket_window properties
  * PrinterSettings: Added load_from_file() and
    load_from_key_file(). Added create_from_file() and
    create_from_key_file()
  * ScaleButton: Added set/get_orientation(),
    get_plus_button(), get_minus_button(), get_popup()
    Added orientation property
  * SelectionData: Reimplemented get_data(), get_data_type(),
    get_format(), and get_display() with the new accessor
    functions
  * ScaleButton: Added set/get_orientation(),
    get_plus_button(), get_minus_button(), get_popup()
    Added orientation property
  * Settings: Added many properties
  * Socket: Added get_plug_window()
  * StatusIcon: Added get_x11_window_id()
  * Stock: Added PAGE_SETUP, PRINT_ERROR, PRINT_REPORT,
    PRINT_WARNING
  * ToolItem: Added toolbar_reconfigured()
  * Tooltip: Added set_icon_from_icon_name()
  * TreeViewColumn: Added get_tree_view()
    Deprecated the existing cell_get_size() and added another,
    because the cell_area parameter has changed to a const in
    gtk_tree_view_column_cell_get_size()
  * Widget: Added damage_event signal.
    Added window property
    Added get_snapshot()
    Reimplemented get_allocation() and get_window() with the new C
    accessor functions instead of direct struct field access
  * Builder: Added versions of create_from_file(),
    create_from_string(), add_from_file(), and add_from_string()
    that take an ID or array of IDs, to allow building of only a part of
    the file, as was already possible with libglade
  * CellRendererCombo: Wrapped the changed signal
  * FileChooser: get_preview_widget(): Avoid an endless loop.
    bgo#543288
  * Printer: Added is_paused() and is_accepting_jobs()
  * ComboBoxEntry: Added get_active_text()
  * Widget: Added the drag_failed signal, with no default signal
    handler
  + Calendar: Removed spurious ; characters (bgo#54484).
* Mon Jun 30 2008 maw@suse.de
- Update to version 2.13.1:
  + Various API additions and bugfixes
  + For a fuller account, see the included NEWS file.
* Fri Apr 11 2008 maw@suse.de
- Update to version 2.12.7:
  + Container: Avoid a useless warning about remove() with custom
    containers (bgo#518002)
  + Build: Fixed a warning from g++ 4.3 (bgo#524874)
  + UIManager: add_ui_from_string(): Fix a problem with use of
    non-ASCII text in UI markup
  + TreeModel::Path (TreePath): TreePath(In pbegin, In pend)
    constructor: initialize gobject_ to avoid a crash (bgo#50043).
* Mon Mar 17 2008 maw@suse.de
- Update to version 2.12.5:
  + Improved documentation
  + Build fixes
- The file hitherto known as /usr/bin/demo has been
  renamed to /usr/bin/gtkmm-demo.
* Tue Jan 29 2008 maw@suse.de
- Update to version 2.12.4:
  + Gtk::RecentAction: Derive from RecentChooser - this class was
    unusable before and we didn't want to wait for the next
    major GTK+ and gtkmm versions to fix it
  + Build fix with gcc 4.3 pre-releases
- Respin gtkmm2-gcc43.patch
- Remove libtool archives.
* Mon Nov 26 2007 maw@suse.de
- Update to version 2.12.3:
  + Bug fixes
  + Improved documentation.
* Wed Oct 17 2007 rguenther@suse.de
- Fix build with GCC 4.3.
* Mon Sep 17 2007 maw@suse.de
- Update to version 2.12.0:
  * RecentAction: Rearrange the constructor parameters, to match
    the other Action classes; added more default parameters
- This release requires gtk+ version 2.14.0.
* Mon Sep 10 2007 mauro@suse.de
- Update to version 2.11.8:
  + Gdk::Cairo::set_source_color(), set_source_pixbuf(), set_source_pixmap():
  Deprecated the existing versions of these methods and added overloads that
  take a const RefPtr& instead.
  + Deprecated Gdk::Cairo::rectangle(), replacing it with
  add_rectangle_to_path().  and deprecated Gdk::Cairo::region(), replacing it
  with add_region_to_path(),
  because these names are clearer.
  + Documentation: Tutorial: DrawingArea: Corrected a mention of
  PixBuf to Pixbuf. Bug #465961
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.11.7:
  + Build fixes
  + Documentation markup changes for future appearence in
    library.gnome.org.
* Mon Jul 30 2007 maw@suse.de
- Update to version 2.11.6
  2.11.6:
  Gdk:
  * Pixbuf:
  - Added constructors that do not take dest_x
  and dest_y (which are ignored in this case).
  - get_formats(): Corrected the reference counting.
  Gtk:
  * Builder: Removed get_type_from_name().
  * IconView:
  - set_tooltip_item(), set_tooltip_cell():
  Use Tooltip only via a RefPtr.
  (Murray Cumming)
  - Added get_tooltip_context_path()
  and get_tooltip_context_iter().
  (Marko Anastasov)
  * LinkButton: Added set_uri_hook() and unset_uri_hook().
  * PrintJob: Added a const version of get_surface()
  * PrintSettings: Corrected the typedef for SlotForeach -
  the ustring&s should be const. I do not believe that anybody could
  have been using this, so I think it is OK to change it.
  * Tooltip: Added set_tip_area().
  * TreeView:
  - Added convert_widget_to_tree_coords(),
    convert_tree_to_widget_coords(), convert_widget_to_bin_window_coords(),
    convert_bin_window_to_widget_coords(), convert_tree_to_bin_window_coords(),
    convert_bin_window_to_tree_coords(),
    set_tooltip_row(), set_tooltip_cell(), set_tooltip_column(),
    get_tooltip_column().
  (Murray Cumming)
  - Added get_tooltip_context_path() and get_tooltip_context_iter().
  (Marko Anastasov)
  * Widget: Added keynav_failed(), error_bell(),
  modify_cursor(), unset_cursor(),
  set_has_tooltip(), get_has_tooltip().
  (Murray Cumming)
  * Documentation:
  - Corrected lots of API reference documentation.
  (Murray Cumming, Marko Anastasov, Jonathan Jongsma)
  - Added a Tooltip example. (Marko Anastasov)
  2.11.5:
  Pango:
  * Color: Added to_string().
  * Context: Added set_base_gravity(), get_base_gravity(),
  get_gravity(), set_gravity_hint(), get_gravity_hint().
  * FontDescription: Added set_gravity() and get_gravity().
  * FontFace: Added is_synthesized().
  * GlyphString: Added get_width().
  * Layout: Added is_wrapped(), is_ellipsized() and
  get_unknown_glyphs_count().
  Gdk:
  * Screen: Added is_composited(), set_font_options(),
  get_font_options(), set_resolution(), get_resolution(),
  get_active_window().
  Gtk:
  * IconView:
  Added set_tooltip_item(), set_tooltip_cell(),
  convert_widget_to_bin_window_coords().
  * MenuToolButton.hg: Added set_arrow_tooltip_text() and
  set_arrow_tooltip_markup().
  * StatusIcon: Added set_screen() and get_screen().
  (Murray Cumming)
  * TextBuffer: Addded cursor-position property.
  (Marko Anastasov)
  * TreeVIew: Added is_rubber_banding_active()
  (Murray Cumming)
- Use %%fdupes.
* Wed Jul 11 2007 mauro@suse.de 
- Update to version 2.11.4
- Fixes to class documentation.
- Updated widget class - to match the new tooltips API.
- Converter from libglade's .glade files to GtkBuilder .ui files.
- Some examples were added to the documentation.
* Tue Apr 10 2007 maw@suse.de
- Update to version 2.10.8
- Fixes for bugzilla.gnome.org #409102, #383340, #395572, #387708,
  [#371882], #366930, #369335, #358268, #358268, and #352226.
* Fri Jan 12 2007 sbrabec@suse.cz
- Spec file cleanup.
* Mon Dec 18 2006 maw@suse.de
- Move to /usr.
* Tue Oct 17 2006 jhargadon@suse.de
- update to version 2.10.2
- Added --enable-atk=no option, to disable the build and use
  of the atkmm API, for use in embedded environments
- Book: Added Plug and Socket chapter to book, with example
* Tue Oct 10 2006 sbrabec@suse.cz
- Use Obsoletes (#211085).
* Wed Sep 27 2006 sbrabec@suse.cz
- Provide old devel package name.
* Tue Sep 26 2006 sbrabec@suse.cz
- Merged packaging changes from gtkmm24.
- Provide old package name.
* Fri Sep 15 2006 jhargadon@suse.de
- update to version 2.10.1
- gtkmm now depends on cairomm
- AccelMap: Added lookup_entry()
- Button: Added get/set_image_position()
- many other additions
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 sbrabec@suse.cz
- Updated to version 2.8.2.
* Thu Dec  1 2005 gekker@suse.de
- Update to version 2.8.1
* Wed Sep  7 2005 sbrabec@suse.cz
- Updated to version 2.8.0 (GNOME 2.12).
* Tue Aug 16 2005 sbrabec@suse.cz
- Do not require devhelp.
* Thu Aug  4 2005 sbrabec@suse.cz
- Updated to version 2.6.4.
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Wed Apr 13 2005 sbrabec@suse.cz
- Fixed required NULL-pointer argument.
* Fri Feb 11 2005 sbrabec@suse.cz
- Added branch 2.4, package splitted, updated to version 2.4.7.
* Tue May 25 2004 ro@suse.de
- undeprecate where needed
* Thu Mar 18 2004 sbrabec@suse.cz
- Removed *.o files from documentation (#36348).
* Mon Feb 23 2004 sbrabec@suse.cz
- Call autoreconf.
* Tue Feb 17 2004 sbrabec@suse.cz
- Initial SuSE package version 2.2.8.
